gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Misc.Accessible

Contents

- Detail
- Class Hierarchy
- Types
- Methods

Description

A `Object` representing an adjustable bounded value

Synopsis

- data Accessible
- class AtkObjectClass o => AccessibleClass o
- castToAccessible :: GObjectClass obj => obj -> Accessible
- gTypeAccessible :: GType
- toAccessible :: AccessibleClass o => o -> Accessible
- accessibleGetWidget :: AccessibleClass self => self -> IO (Maybe Widget)
- accessibleSetWidget :: (AccessibleClass self, WidgetClass widget) => self -> widget -> IO ()

# Detail

Accessible accessibility support for widgets.

# Class Hierarchy

     | GObject
     | +----AtkObject
     | +----Accessible

# Types

data Accessible

Instances

Eq Accessible |
Ord Accessible |
GObjectClass Accessible |
AccessibleClass Accessible |
AtkObjectClass Accessible |

class AtkObjectClass o => AccessibleClass o

Instances

AccessibleClass Accessible |

castToAccessible :: GObjectClass obj => obj -> Accessible

gTypeAccessible :: GType

toAccessible :: AccessibleClass o => o -> Accessible

# Methods

accessibleGetWidget

Arguments

:: AccessibleClass self |
=> self |
-> IO (Maybe Widget) | returns the `Widget` corresponding to the `Accessible`, or `Nothing`.

Gets the `Widget` corresponding to the `Accessible`.

- Available since Gtk+ version 2.22

accessibleSetWidget

Arguments

:: (AccessibleClass self, WidgetClass widget) |
=> self | `accessible` a `Accessible`
-> widget | `widget` a `Widget`
-> IO () |

Sets the `Widget` corresponding to the `Accessible`.

- Available since Gtk+ version 2.22